import { ModalController, NavParams } from 'ionic-angular';
import { ControlValueAccessor } from '@angular/forms';
import { LookUpItem, NamedIdentity } from '../models/models';
export declare class MultiLevelSelectComponent implements ControlValueAccessor {
    modalCtrl: ModalController;
    params: NavParams;
    selectedItem: NamedIdentity;
    selectPlaceholder: 'Please Select';
    selectDialogTitle: 'Please Select';
    lookups: LookUpItem[];
    allowParent: boolean;
    constructor(modalCtrl: ModalController, params: NavParams);
    writeValue(value: NamedIdentity): void;
    propagateChange: (_: any) => void;
    registerOnChange(fn: any): void;
    registerOnTouched(): void;
    open(): void;
    reset($event: any): void;
}
