import { NavParams, Slides, ViewController } from 'ionic-angular';
import { LookUpItem, Slide, SlideItem } from '../models/models';
import { Loading } from '../providers/loading/loading';
export declare class MultiLevelSelectDialogComponent {
    private loading;
    private params;
    private viewCtrl;
    slides: Slide[];
    selectDialogTitle: string;
    selectedItemId: number;
    lookups: LookUpItem[];
    allowParent: boolean;
    slidesControl: Slides;
    constructor(loading: Loading, params: NavParams, viewCtrl: ViewController);
    ionViewDidLoad(): void;
    ionViewDidEnter(): void;
    buildInitialSlide(lookUpsAsTree: LookUpItem[]): Slide[];
    addChildren(parentSlide: Slide, parentSlideItem: SlideItem, children: LookUpItem[]): void;
    isThisLookUpItemHasAnyDescendantSelected(lookUpItem: LookUpItem): boolean;
    getLookUpItemById(lookUps: LookUpItem[], selectedItemId: number): LookUpItem;
    close(): void;
    handleItemClick(item: SlideItem): void;
    itemSelected(item: SlideItem): void;
    slideTo(itemOrIndex: SlideItem | number): void;
}
